Installer - Bug #33214

potential memory leak in puma
08/04/2021 09:27 PM - Eric Helms

Status: Closed

Priority: Urgent

Assignee: Eric Helms

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1976051 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/984,
https://github.com/theforeman/foreman-i
nstaller/pull/713,
https://github.com/theforeman/puppet-for
eman/pull/985

3.1.0

Description

Associated revisions

Revision 172a16d0 - 08/10/2021 10:19 PM - Eric Helms

Fixes #33214: Set minimum Puma threads equal to maximum puma threads by default

This has been shown to prevent memory leaks that can appear in Foreman
when running under Puma. This only changes the default to match and
users must still be aware of this potential when changing the tunings.

Revision dcd015ce - 08/11/2021 05:52 PM - Eric Helms

Refs #33214: Reset puma min threads to default from puppet module

If the default value for foreman_service_puma_threads_min is found,
which is zero, this deletes that value from the answers file. This

allows the new default to be populated from the puppet module. The

new default is to set min threads equal to max threads. If the minimum

is anything other than zero than we can assume the user has customized
the value.

History

#1 - 08/04/2021 11:36 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-foreman/pull/984 added

#2 - 08/09/2021 02:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/713 added

#3 - 08/10/2021 10:19 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 08/10/2021 11:08 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|172a16d0a0556b26c2c764{7339f292447cf62f2.
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/172a16d0a0556b26c2c764f7339f292447cf62f2

#5 - 08/13/2021 12:02 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/985 added
